更新时出现错误

使用pacman -Syyu
出现以下错误
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/pycache/wheel_builder.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/cli/pycache/main.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/cli/main.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/distributions/pycache/sdist.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/distributions/sdist.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/init.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/pycache/init.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/pycache/collector.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/pycache/package_finder.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/collector.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/package_finder.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/models/pycache/scheme.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/models/pycache/wheel.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/models/scheme.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/models/wheel.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/network/pycache/download.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/network/pycache/utils.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/network/download.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/network/utils.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/init.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/init.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/metadata.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/metadata_legacy.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/wheel.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/wheel_legacy.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/metadata.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/metadata_legacy.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/wheel.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/wheel_legacy.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/init.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/pycache/init.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/pycache/editable_legacy.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/pycache/legacy.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/pycache/wheel.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/editable_legacy.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/legacy.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/wheel.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pycache/distutils_args.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pycache/entrypoints.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pycache/pkg_resources.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pycache/wheel.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/distutils_args.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/entrypoints.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pkg_resources.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/wheel.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/wheel_builder.py
发生错误,没有软件包被更新。
错误:无法提交处理 (有冲突的文件)
发生错误,没有软件包被更新。
查看arch的wiki
使用下面命令
pacman -Suy --overwrite /usr/share/hplip/*
问题还是出现
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/pycache/wheel_builder.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/cli/pycache/main.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/cli/main.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/distributions/pycache/sdist.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/distributions/sdist.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/init.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/pycache/init.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/pycache/collector.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/pycache/package_finder.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/collector.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/index/package_finder.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/models/pycache/scheme.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/models/pycache/wheel.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/models/scheme.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/models/wheel.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/network/pycache/download.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/network/pycache/utils.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/network/download.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/network/utils.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/init.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/init.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/metadata.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/metadata_legacy.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/wheel.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/pycache/wheel_legacy.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/metadata.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/metadata_legacy.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/wheel.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/build/wheel_legacy.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/init.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/pycache/init.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/pycache/editable_legacy.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/pycache/legacy.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/pycache/wheel.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/editable_legacy.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/legacy.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/operations/install/wheel.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pycache/distutils_args.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pycache/entrypoints.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pycache/pkg_resources.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pycache/wheel.cpython-38.pyc
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/distutils_args.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/entrypoints.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/pkg_resources.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/utils/wheel.py
python-pip: 文件系统中已存在 /usr/lib/python3.8/site-packages/pip/_internal/wheel_builder.py
按照英文论坛提示
pacman -S manjaro-system-20200324-3
错误:未找到目标:manjaro-system-20200324-3

你是否之前有使用過 sudo pip 來安裝 python 套件?
https://wiki.archlinux.org/index.php/Python_(简体中文)#软件包管理

如果必须使用 pip ,请使用虚拟环境或使用 pip install --user 以避免将软件包安装到 /usr . 建议在可能的情况下,使用 pacman 安装软件包.

如果是這個原因的話,手動移除掉用 sudo pip 安裝的套件即可。

相关 Arch News: hplip 3.20.3-2 update requires manual intervention

也就是说,可以使用 pacman -Syu --overwrite /usr/lib/python3.8/site-packages/pip/_internal/\* 来强制覆盖。

这个貌似经常出现,简单处理就是把报错的目录和文件备份到旁边,再安装。一般都是相同版本的,再安装也不会有问题。

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by